import { Meta, Canvas } from "@storybook/blocks";
import * as TeaserStories from "./teaser-download.stories";

<Meta of={TeaserStories} name="Docs" />

## Teaser Download

To make the whole surface of the download teaser clickable, use the ux-iws-link-wrapper component as the root element of the teaser.

<Canvas of={TeaserStories.Default} />

## Download Teaser List

To arrange multiple `ux-iws-teaser-download` components in a grid, use the `ux-iws-teaser-download-grid` class
on the parent element of the download teasers.

<Canvas of={TeaserStories.List} />

## Download Document

<Canvas of={TeaserStories.Document} />

## Download Document List

<Canvas of={TeaserStories.DocumentList} />
